dpkg-deb(1)

NAZWA
dpkg-deb - narzędzie obsługi plików archiwum Debiana (.deb)

SKŁADNIA
dpkg-deb [opcje] polecenie

OPIS
dpkg-deb tworzy, rozpakowuje i podaje informacje o plikach archiwum (czyli pakietach) Debiana.

Do instalowania i usuwania pakietów z systemu służy polecenie dpkg.

Ponadto można skorzystać z dpkg-deb wywołując dpkg z odpowiednią opcją, która zostanie przekazana do dpkg-deb. dpkg uruchomi dpkg-deb i wykona żądaną operację.

POLECENIA

-b, --build katalog [archiwum|katalog]
    Tworzy archiwum Debiana z plików zawartych w katalogu. katalog musi zawierać podkatalog o nazwie DEBIAN, w którym zawarte są pliki kontrolne, takie jak np. control. Ten katalog nie pojawi się w archiwum binarnym pakietu, tylko zostanie umieszczony jako informacje kontrolne pakietu, które opisują właściwości pakietu. Jeśli pominięto opcję --nocheck, dpkg-deb odczyta plik DEBIAN/control i przetworzy go. Sprawdzi przy tym, czy nie występują w nim błędy składniowe lub inne problemy, a następnie wyświetli nazwę pakietu, który jest tworzony. dpkg-deb ponadto sprawdzi prawa dostępu skryptów instalacyjnych i innych plików znajdujących się w katalogu DEBIAN. Jeśli nie podano nazwy archiwum, to dpkg-deb zapisze pakiet w pliku katalog.deb. Jeżeli taki pakiet już istnieje, to zostanie nadpisany. Jeśli drugim argumentem jest katalog, to dpkg-deb zapisze pakiet pod nazwą katalog/pakiet_wersja_arch.deb lub katalog/pakiet_wersja.deb, jeśli nie zostało określone pole Architecture w pliku kontrolnym. Gdy podany jest katalog, to nie może zostać użyta opcja --no-check, ponieważ dpkg-deb musi przetworzyć plik kontrolny, aby rozpoznać nazwę i wersję pakietu.

-I, --info archiwum [nazwa-pliku-kontrolnego...]
    Dostarcza informacji o pakiecie. Gdy nie podano żadnej nazwy-pliku-kontrolnego, wyświetlana jest informacja o zawartości pakietu oraz zestawienie wykorzystanych plików kontrolnych. W razie podania nazwy-pliku-kontrolnego, dpkg-deb wyświetli zawartość tego pliku. Jeśli ten plik nie istnieje, wyświetlony zostanie komunikat błędu na standardowe wyjście błędów i program zakończy się z kodem błędu 2.

-W, --show archiwum
    Wyświetla informację o pakiecie binarnym w formacie określonym opcją --showformat. W domyślnym formacie w każdej linii wyświetlane są nazwa i wersja pakietu, oddzielone od siebie znakiem tabulacji.

-f, --field archiwum [nazwa-pola-kontrolnego...]
    Wyświetla zawartość pliku kontrolnego o nazwie control. Jeśli nie podano żadnej nazwy-pola-kontrolnego, to wyświetlana jest zawartość całego pliku control. Jeśli podano nazwę-pola-kontrolnego, to dpkg-deb wyświetli jej zawartość. Gdy podano więcej niż jedną nazwę-pola-kontrolnego, to dpkg-deb wyświetli pola wraz z nazwą (oraz dwukropkiem i spacją) w takiej kolejności, w jakiej są wymienione w pliku kontrolnym. Dla nieodnalezionych pól kontrolnych nie są wyświetlane komunikaty błędów.

-c, --contents archiwum
    Wyświetla zawartość archiwum. Wydruk jest podany w takiej postaci, jaką generuje polecenie tar.

-x, --extract katalog archiwum
    Rozpakowuje zawartość archiwum do podanego katalogu. Proszę zauważyć, że rozpakowanie pakietu w katalogu głównym nie jest odpowiednikiem zainstalowania pakietu! Do tego celu służy wyłącznie polecenie dpkg. directory (but not its parents) will be created if necessary, and its permissions modified to match the contents of the package.

-X, --vextract katalog archiwum
    Działa podobnie do --extract (-x), z tą różnicą, że wyświetla nazwy plików, które są rozpakowywane.

--fsys-tarfile archiwum
    Rozpakowuje pliki z archiwum i wysyła je na standardowe wyjście w postaci formatu polecenia tar. Gdy ta operacja zostanie połączona z tar'em, możliwe jest rozpakowanie tylko wybranych plików z archiwum.

-e, --control archiwum [katalog]
    Rozpakowuje pliki kontrolne pakietu do podanego katalogu. Jeśli katalog nie został określony, pliki są rozpakowywane do podkatalogu DEBIAN w katalogu bieżącym. W razie potrzeby, katalog docelowy będzie utworzony.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

--license, --licence
    Pokazuje informacje o licencji i prawach autorskich i kończy działanie.

OPCJE

--showformat=format
    Opcja jest używana do podania formatu wyjścia produkowanego przez --show. Format jest łańcuchem znaków, który będzie wyświetlony dla każdego wypisanego pakietu. Argumentem jest łańcuch znaków w postaci "${nazwa-pola}", który może się odnosić do dowolnego pola pliku stanu. Listę nazw poprawnych pól można łatwo wygenerować, używając opcji -I na tym samym pakiecie. Pełne wyjaśnienie opcji formatowania (łącznie z sekwencjami cytowania i rozdzielaniem pól) można znaleźć w opisie opcji --showformat w dpkg-query(1). Domyślną wartością tego pola jest "${Package}\t${Version}\n".

-zpoziom_kompresji
    Określa poziom kompresji przekazywany do programu kompresującego podczas budowania pakietu.

-Ztyp_kompresji
    Określa typ kompresji używany podczas budowania pakietu. Dozwolonymi wartościami są: gzip, bzip2, lzma oraz none (domyślną wartością jest gzip).

--new
    Zapewnia, że dpkg-deb utworzy "nowy" format archiwum. Ta opcja jest domyślna.

--old
    Wymusza utworzenie przez dpkg-deb "starego" formatu archiwum. Ten format jest słabo obsługiwany przez narzędzia spoza dystrybucji Debiana i obecnie jest przestarzały. Ta opcja jest użyteczna jedynie w przypadku korzystania z wersji dpkg wcześniejszej niż 0.93.76 (wrzesień 1995), która była opublikowana jedynie dla i386 a.out.

--nocheck
    Powoduje, że polecenie dpkg-deb --build nie będzie sprawdzać zawartości archiwum. W ten sposób można utworzyć niepoprawny pakiet, jeśli zajdzie taka potrzeba.

-D, --debug
    Włącza opcję debugowania. Nie jest to zbyt interesujące.

BŁĘDY
dpkg-deb -I pakiet1.deb pakiet2.deb działa niepoprawnie. There is no authentication on .deb files; in fact, there isn't even a straightforward checksum. (Higher level tools like APT support authenticating .deb packages retrieved from a given repository, and most packages nowadays provide an md5sum control file generated by debian/rules. Though this is not directly supported by the lower level tools.) Nie należy używać dpkg-deb do instalowania oprogramowania! Do tego celu należy korzystać z dpkg, który zainstaluje poprawnie pliki i uruchomi potrzebne skrypty instalacyjne.

ZOBACZ TAKŻE
deb(5), deb-control(5), dpkg(1), dselect(1).

AUTOR
Copyright © 1995-1996 Ian Jackson

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008